input: 'C:/Users/sande/Desktop/Tulip-1.2.1 (1).jar'
libraries:
  - 'libs/'

zig:
  os: windows
  arch: x86_64
  version: 0.14.0
  installation: zig

targets:
  - x86_64-windows
#  - x86_64-linux-gnu

debug:
  compilation:
    - x86_64-windows
    - x86_64-linux-gnu

mutators:
  metaphor:
    exempt:
      - package: net/fabricmc/*
    order:
      - access-unify
      - inlining
      - main-call-check
      - call-graph
      - string.poly
      - number.table
      - flow.traps
      - flow.flattening
      - flow.shuffle
      - flow.switch
      - number.salt
      - lifting
      - watermark
      - renamer.method
      - renamer.field
      - renamer.class
      - strip
      - dotgraph
      - indy-rewriter
      - fate
    transformers:
      indy-rewriter:
        enabled: true
        exempt:
          - package: net/*
      access-unify:
        enabled: false
      inlining:
        enabled: false
        exempt:
          - package: net/*
          - package: '*'
            classes:
              - class: '*'
                methods:
                  - <init>
      renamer:
        method:
          enabled: false
        field:
          enabled: false
        class:
          enabled: false
      main-call-check:
        entry: 'Main'
        enabled: false
      call-graph:
        enabled: false
      fate:
        enabled: false
      string:
        poly:
          enabled: false
      flow:
        flattening:
          enabled: true
        shuffle:
          enabled: true
        switch:
          enabled: false
        traps:
          enabled: false
      number:
        salt:
          enabled: true
        table:
          enabled: false
      lifting:
        enabled: true
      watermark:
        enabled: false
      strip:
        enabled: true
      dotgraph:
        enabled: false
      virt:
        enabled: false
  jnt:
    exempt:
      - package: net/*
    order:
      - cleanup
      - integrate
    transformers:
      cleanup:
        enabled: true
      integrate:
        enabled: true
    vm: false